      real k1,k2
      data k1,k2/1.5e-5,2.e-7/
      data dt/60./

      cd=1.0
      cdn=0.0
      as=0.0
      asn=0.0

      t=-dt

      do 1,n=1,5760
        t=t+dt
        cdn=cd+dt*(-k1*cd+k2*as)
        asn=as+dt*(k1*cd-k2*as)

        cd=cdn
        as=asn

        if ((t/300.).eq.int(t/300.)) write (20,*) t/3600.,cd,as
 1    continue
      stop
      end
      
        